﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace XamSliderCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public Dictionary<double, double> dict = new Dictionary<double, double>()
        {
            { -60, -120},
            { -55, -90},
            { -50, -60},
            { -45, -40},
            { -40, -30},
            { -30, -20},
            { -20, -15},
            { -10, -10},
            { 0, -5},
            { 10, 0},
            { 20, 8},
            { 30, 12},
        };

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
            (this.DataContext as ViewModel).Value = -40;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            double singleValueSliderValue = this.xamNumericSlider2.Thumb.Value;
            Console.WriteLine(singleValueSliderValue);
            double actualValue = dict[(double)singleValueSliderValue];
            Console.WriteLine("Actual value - " + actualValue.ToString());  
        }

    }

    public class ViewModel : ObservableModel
    {
        public double _value { get; set; }
        public double Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
                NotifyPropertyChanged();
            }
        }

    

        public ViewModel()
        {
            
        }
    }
}
